高危 Apache Shiro RegExPatternMatcher 权限绕过漏洞(CVE-2022-32532)

CVE编号

CVE-2022-32532

利用情况

POC 已公开

补丁情况

官方补丁

披露时间

2022-06-29
漏洞描述
2022年6月29日,Apache 官方披露 CVE-2022-32532 Apache Shiro 权限绕过漏洞。Shiro 1.9.1 之前版本,在代码中使用了 RegExPatternMatcher 和 . 正则表达式的情况下可能存在权限绕过。漏洞利用需要依赖代码具体写法,无法自动化利用,风险较低。

安全版本
Apache Shiro version 1.9.1
解决建议
若代码存在相应写法,建议升级至1.9.1版本及其以上。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apache shiro * Up to
(excluding)
1.9.1
运行在以下环境
系统 debian_10 shiro * Up to
(including)
1.3.2-4+deb10u1
运行在以下环境
系统 debian_11 shiro * Up to
(including)
1.3.2-4+deb11u1
运行在以下环境
系统 debian_12 shiro * Up to
(including)
1.3.2-5
运行在以下环境
系统 debian_9 shiro * Up to
(including)
1.3.2-1
运行在以下环境
系统 debian_sid shiro * Up to
(including)
1.3.2-5
阿里云评分
7.0
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    越权影响
  • EXP成熟度
    POC 已公开
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    传输被破坏
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-863 授权机制不正确
阿里云安全产品覆盖情况